Module | Tk::Itk
In: | tk/lib/tkextlib/itk/incr_tk.rb

### Methods

package_name package_version usual usual_names

### Included Modules

Tk

### Classes and Modules

Class Tk::Itk::Archetype
Class Tk::Itk::Component
Class Tk::Itk::Toplevel
Class Tk::Itk::Widget

### Constants

LIBRARY | = | TkVarAccess.new('::itk::library')
PACKAGE_NAME | = | 'Itk'.freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 24
        def self.package_name
          PACKAGE_NAME
        end

package_version()

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 28
        def self.package_version
          begin
            TkPackage.require('Itk')
          rescue
            ''
          end
        end

usual(arg, *args)

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 36
        def self.usual(arg, *args)
          tk_call('::itk::usual', arg, *args)
        end

usual_names()

[Source]

    # File tk/lib/tkextlib/itk/incr_tk.rb, line 40
        def self.usual_names
          list(tk_call('::itk::usual'))
        end

[Validate]